<?php

namespace AutoAdmin\Bundle\Content\Duplicator;

use AutoAdmin\Bundle\Seo\Model\SeoContentTranslationInterface;

class SeoContentTranslationDuplicator extends AbstractDuplicator
{
    /**
     * @return string[]
     */
    public function supportInterfaces(): array
    {
        return [
            SeoContentTranslationInterface::class
        ];
    }

    /**
     * @param SeoContentTranslationInterface $entity
     * @param SeoContentTranslationInterface $duplicate
     *
     * @return SeoContentTranslationInterface
     */
    public function duplicate(object $entity, object $duplicate, ?object $parent = null): object
    {
        $duplicate->setSeoMetadata($entity->getSeoMetadata());

        return $duplicate;
    }
}
